> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/imacd.md).

# IMACD

## GET /ux/common/imacd/conversation/

> API endpoint that allows imacd process to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/imacd/conversation/":{"get":{"operationId":"ux_common_imacd_conversation_retrieve","description":"API endpoint that allows imacd process to be viewed or edited.","tags":["IMACD"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /ux/common/imacd/conversation/

> API endpoint that allows imacd process to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/imacd/conversation/":{"post":{"operationId":"ux_common_imacd_conversation_create","description":"API endpoint that allows imacd process to be viewed or edited.","tags":["IMACD"],"responses":{"201":{"description":"No response body"}}}}}}
```

## GET /ux/common/imacd/conversation/{id}/

> API endpoint that allows imacd process to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/imacd/conversation/{id}/":{"get":{"operationId":"ux_common_imacd_conversation_retrieve_2","description":"API endpoint that allows imacd process to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["IMACD"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /ux/common/imacd/conversation/{id}/

> API endpoint that allows imacd process to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/imacd/conversation/{id}/":{"put":{"operationId":"ux_common_imacd_conversation_update","description":"API endpoint that allows imacd process to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["IMACD"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /ux/common/imacd/conversation/{id}/

> API endpoint that allows imacd process to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/imacd/conversation/{id}/":{"delete":{"operationId":"ux_common_imacd_conversation_destroy","description":"API endpoint that allows imacd process to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["IMACD"],"responses":{"204":{"description":"No response body"}}}}}}
```

## Gets a list of IMACD process

> This endpoint is used to fetch all the IMACD process in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/imacd/imacd/":{"get":{"operationId":"ux_common_imacd_imacd_retrieve","description":"This endpoint is used to fetch all the IMACD process in the current organization","summary":"Gets a list of IMACD process","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["IMACD"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Creates a new imacd&#x20;

> This endpoint is used to save a new imacd for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/imacd/imacd/":{"post":{"operationId":"ux_common_imacd_imacd_create","description":"This endpoint is used to save a new imacd for the current organization","summary":"Creates a new imacd ","tags":["IMACD"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a imacd process with the given id

> This endpoint is used to fetch a imacd process details in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/imacd/imacd/{id}/":{"get":{"operationId":"ux_common_imacd_imacd_retrieve_2","description":"This endpoint is used to fetch a imacd process details in the current organization","summary":"Gets a imacd process with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["IMACD"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Edits the imacd with given id

> This endpoint is used to edit an existing imacd for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/imacd/imacd/{id}/":{"put":{"operationId":"ux_common_imacd_imacd_update","description":"This endpoint is used to edit an existing imacd for the current organization","summary":"Edits the imacd with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["IMACD"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Deletes the imacd with given id

> This endpoint is used to delete an existing imacd for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/imacd/imacd/{id}/":{"delete":{"operationId":"ux_common_imacd_imacd_destroy","description":"This endpoint is used to delete an existing imacd for the current organization","summary":"Deletes the imacd with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["IMACD"],"responses":{"204":{"description":"No response body"}}}}}}
```

## Add attachments for the selected imacd process.

> This endpoint is used to add new attachments.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/imacd/imacd/add-attachment/":{"post":{"operationId":"ux_common_imacd_imacd_add_attachment_create","description":"This endpoint is used to add new attachments.","summary":"Add attachments for the selected imacd process.","tags":["IMACD"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Gets attachments for the selected imacd process.

> This endpoint is used to fetch the attachments.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/imacd/imacd/attachment/":{"get":{"operationId":"ux_common_imacd_imacd_attachment_retrieve","description":"This endpoint is used to fetch the attachments.","summary":"Gets attachments for the selected imacd process.","tags":["IMACD"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Gets history for the selected imacd.

> This endpoint is used to fetch the history.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/imacd/imacd/history/":{"get":{"operationId":"ux_common_imacd_imacd_history_retrieve","description":"This endpoint is used to fetch the history.","summary":"Gets history for the selected imacd.","tags":["IMACD"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /ux/common/imacd/imacd/options/

> API endpoint that allows Business Profile to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/imacd/imacd/options/":{"get":{"operationId":"ux_common_imacd_imacd_options_retrieve","description":"API endpoint that allows Business Profile to be viewed or edited.","tags":["IMACD"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Save rich text data

> This endpoint is used to save the rich text data.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/imacd/imacd/save-rich-text/":{"post":{"operationId":"ux_common_imacd_imacd_save_rich_text_create","description":"This endpoint is used to save the rich text data.","summary":"Save rich text data","tags":["IMACD"],"responses":{"200":{"description":"No response body"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/imacd.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
